import java.util.*;
/* java.util contains a class Arrays with many static
 * methods for processing arrays, including
 * linear and binary search, sorting, copying,
 * getting a toString representation
 */

/** Demo use of Comparable */
public class Comparisons  {
    
    /** Yields: date b is before date c */
    public static boolean isBefore(CDate b, CDate c) {
        return b.compareTo(c) < 0;
    }
    
    /** Yields: b comes before c */
    public static boolean isBef(Comparable b, Comparable c) {
        return b.compareTo(c) < 0;
    }
    
    /** Create a CDate array and sort it */
    public static void main(String[] p) {
        CDate[] d= new CDate[5];
        d[0]= new CDate(2011, 11, 22);
        d[1]= new CDate(2011, 11, 29);
        d[2]= new CDate(2011, 3, 29);
        d[3]= new CDate(2010, 8, 29);
        d[4]= new CDate(2010, 12, 10);
        System.out.println(Arrays.toString(d));
        Arrays.sort(d);
        System.out.println(Arrays.toString(d));
        
    }
    
    /** Swap b[h] and b[k] if b[k] is less than b[h] */
    public static void swap(Comparable b[], int h, int k) {
        if (b[k].compareTo(b[h]) < 0) {
            Comparable temp= b[h];
            b[h]= b[k];
            b[k]= temp;
        }
    }
        
    
}